Subject: Re: bug#26458: 25.1; abort on X close window

From: Kevin Ryde <[email-masked]>
Date: Mon, 17 Apr 2017 16:42:03 +1000

close 26458
thanks

Eli Zaretskii <[email-masked]> writes:
>
> Doesn't your distribution offer a separate set of debug info files for
> the build you already have?

Ah yes, though need your own sources.

But ... :-( ... I think it's bad juju in mwm.  When a client has both
WM_DELETE_WINDOW and WM_SAVE_YOURSELF (like emacs), mwm takes the
client's answer to WM_SAVE_YOURSELF as time to forcibly close
connection.  Sounds dubious, though there's sort of docs, and a comment
in its sources.  Could be long carry-over from the first icccm.